{
    "common": {
        "name": "javascript",
        "version": "3.7.0",
        "title": "Script Engine",
        "titleLang": {
            "en": "Script Engine",
            "de": "Skriptausführung",
            "ru": "Скрипты",
            "pt": "Script Engine",
            "nl": "Script-engine",
            "fr": "Moteur de script",
            "it": "Motore di script",
            "es": "Motor de script",
            "pl": "Silnik skryptowy"
        },
        "authors": [
            "bluefox <dogafox@gmail.com>",
            "hobbyquaker <hq@ccu.io>",
            "Apollon77 <ingo@fischer-ka.de>"
        ],
        "desc": {
            "en": "Javascript/Blockly Script Engine for yunkong2",
            "de": "Javascript/Blockly Skriptausführung für yunkong2",
            "ru": "Выполнение Javascript/Blockly скриптов для yunkong2"
        },
        "platform": "Javascript/Node.js",
        "mode": "daemon",
        "loglevel": "info",
        "icon": "js.jpeg",
        "extIcon": "https://git.spacen.net/yunkong2/yunkong2.javascript/raw/master/admin/js.jpeg",
        "keywords": [
            "js",
            "javascript",
            "typescript",
            "coffeescript",
            "rules",
            "automate",
            "scriptengine",
            "blockly",
            "blokly"
        ],
        "materialize": true,
        "materializeTabN": true,
        "readme": "https://git.spacen.net/yunkong2/yunkong2.javascript/blob/master/README.md",
        "enabled": true,
        "main": "main.js",
        "license": "MIT",
        "engineTypes": [
            "Blockly",
            "Javascript/js",
            "Coffeescript/coffee",
            "TypeScript/ts"
        ],
        "adminTab": {
            "singleton": true,
            "name": "Scripts"
        },
        "docs": {
            "en": ["docs/en/javascript.md", "docs/en/blockly.md"],
            "ru": ["docs/ru/blockly.md"],
            "de": ["docs/de/usage.md", "docs/de/blockly.md"]
        },
        "type": "logic",
        "messagebox": true
    },
    "native": {
        "latitude": "",
        "longitude": "",
        "enableSetObject": false,
        "enableSendToHost": false,
        "enableExec": false,
        "libraries": "",
        "subscribe": false,
        "useSystemGPS": true
    },
    "objects": [
        {
            "_id": "_design/script",
            "language": "javascript",
            "views": {
                "javascript": {
                    "map": "function(doc) { if (doc.type === 'script' && doc.common.engineType.match(/^[jJ]ava[sS]cript|^[cC]offee[sS]cript|^[tT]ype[sS]cript|^Blockly/)) emit(doc.common.name, doc); }"
                }
            }
        }
    ]
}